package electrosphere.game.data.foliage.type;

import java.util.List;

/**
 * A foliage object, ambient or otherwise
 */
public class FoliageType {

    //Denotes an ambient foliage that will be placed on a voxel
    public static final String TOKEN_AMBIENT = "AMBIENT";
    //Denotes an tree object
    public static final String TOKEN_TREE = "TREE";
    
    //the name of the foliage type
    String name;
    //the model path of the foliage
    String modelPath;
    //the physics object(s) for the foliage
    List<PhysicsObject> physicsObjects;
    //the model of growth characterists
    GrowthModel growthModel;
    //the list of tokens
    List<String> tokens;
    //The model for a tree
    TreeModel treeModel;
    //The ambient audio model
    AmbientAudio ambientAudio;

    /**
     * Gets the name of the foliage type
     * @return The name
     */
    public String getName() {
        return name;
    }

    /**
     * Gets the model path of the foliage type
     * @return The model path
     */
    public String getModelPath() {
        return modelPath;
    }

    /**
     * Gets the physics object(s)
     * @return The physics object(s)
     */
    public List<PhysicsObject> getPhysicsObjects() {
        return physicsObjects;
    }

    /**
     * Gets the tokens
     * @return The tokens
     */
    public List<String> getTokens() {
        return tokens;
    }

    /**
     * Gets the growth model
     * @return The growth model
     */
    public GrowthModel getGrowthModel(){
        return growthModel;
    }

    /**
     * Gets the tree model
     * @return The tree model
     */
    public TreeModel getTreeModel(){
        return treeModel;
    }

    /**
     * Gets the ambient audio model
     * @return The ambient audio model
     */
    public AmbientAudio getAmbientAudio(){
        return ambientAudio;
    }
    
}
